--- nagios-plugins-nagios-plugins-f091d59/plugins/check_http.c	2012-06-13 03:36:42.000000000 +0200
+++ nagios-plugins-1.4.15.new/plugins/check_http.c	2012-06-13 16:24:02.000000000 +0200
@@ -115,6 +115,7 @@
 int use_ssl = FALSE;
 int use_sni = FALSE;
 int verbose = FALSE;
+int force_http10 = FALSE;
 int sd;
 int min_page_len = 0;
 int max_page_len = 0;
@@ -181,7 +182,8 @@
 
   enum {
     INVERT_REGEX = CHAR_MAX + 1,
-    SNI_OPTION
+    SNI_OPTION,
+    FORCE_HTTP10
   };
 
   int option = 0;
@@ -213,6 +215,7 @@
     {"content-type", required_argument, 0, 'T'},
     {"pagesize", required_argument, 0, 'm'},
     {"invert-regex", no_argument, NULL, INVERT_REGEX},
+    {"force-http-1.0", no_argument, NULL, FORCE_HTTP10},
     {"use-ipv4", no_argument, 0, '4'},
     {"use-ipv6", no_argument, 0, '6'},
     {0, 0, 0, 0}
@@ -401,6 +404,9 @@
     case INVERT_REGEX:
       invert_regex = 1;
       break;
+    case FORCE_HTTP10:
+      force_http10 = 1;
+      break;
     case '4':
       address_family = AF_INET;
       break;
@@ -818,7 +824,10 @@
   }
 #endif /* HAVE_SSL */
 
-  asprintf (&buf, "%s %s %s\r\n%s\r\n", http_method, server_url, host_name ? "HTTP/1.1" : "HTTP/1.0", user_agent);
+  if (force_http10) 
+    asprintf (&buf, "%s %s %s\r\n%s\r\n", http_method, server_url, "HTTP/1.0", user_agent);
+  else 
+    asprintf (&buf, "%s %s %s\r\n%s\r\n", http_method, server_url, host_name ? "HTTP/1.1" : "HTTP/1.0", user_agent);
 
   /* tell HTTP/1.1 servers not to keep the connection alive */
   asprintf (&buf, "%sConnection: close\r\n", buf);
@@ -1363,7 +1372,9 @@
   printf ("    %s\n", _("Warn if document is more than SECONDS old. the number can also be of"));
   printf ("    %s\n", _("the form \"10m\" for minutes, \"10h\" for hours, or \"10d\" for days."));
   printf (" %s\n", "-T, --content-type=STRING");
-  printf ("    %s\n", _("specify Content-Type header media type when POSTing\n"));
+  printf ("    %s\n", _("specify Content-Type header media type when POSTing"));
+  printf (" %s\n", "--force-http-1.0");
+  printf ("    %s\n", _("Force sending request using HTTP/1.0 (nagios-plugins < 1.4.13 behavior)\n"));
 
   printf (" %s\n", "-l, --linespan");
   printf ("    %s\n", _("Allow regex to span newlines (must precede -r or -R)"));
@@ -1445,5 +1456,7 @@
   printf ("       [-e <expect>] [-s string] [-l] [-r <regex> | -R <case-insensitive regex>]\n");
   printf ("       [-P string] [-m <min_pg_size>:<max_pg_size>] [-4|-6] [-N] [-M <age>]\n");
   printf ("       [-A string] [-k string] [-S <version>] [--sni] [-C <age>] [-T <content-type>]\n");
-  printf ("       [-j method]\n");
+  printf ("       [-j method] [--force-http-1.0] \n");
 }
+
+
